Subject: Re: [icnrg] icnrg Digest, Vol 48, Issue 18

From: abdou darboe <[email-masked]>
Date: Thu, 17 Mar 2016 00:12:51 +0000 (UTC)

I have used Icarus and found it to be a very useful ICN simulation tool especially for caching. I must acknowledge its simplicity for usage, easy to understand and implement when compared with other simulators for caching. You will enjoy using the power tool and you easily implement a new caching strategy with it.
Good work Saino.
Best regards 
Abdou Darboe 

    On Wednesday, 16 March 2016, 2:44, "[email-masked]" <[email-masked]> wrote:

 ----- Forwarded Message -----

Send icnrg mailing list submissions to
    [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
    https://www.irtf.org/mailman/listinfo/icnrg
or, via email, send a message with subject or body 'help' to
    [email-masked]

You can reach the person managing the list at
    [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of icnrg digest..."

Today's Topics:

  1. Re: Caching Techiques (Saino, Lorenzo)
  2. Re: Caching Techiques (Ibrahim ABDULLAHI)
 <!--#yiv9645853869 P {margin-top:0;margin-bottom:0;}-->Dear Suzan,
Thank you very much for the kind words. I am very happy to hear you're finding Icarus useful.
Unfortunately there's no icarus-users list at the moment.I took note of your suggestion and I will set up an Icarus users mailing list. For the time being, if you have any question feel free to contact me personally or to open an issue on Icarus project page on GitHub: https://github.com/icarus-sim/icarus/issues
Best regards,Lorenzo

From: [email-masked] <[email-masked]> on behalf of suzan bayhan <[email-masked]>
Sent: 15 March 2016 14:32
To: Saino, Lorenzo
Cc: Krishnakanth Singh; [email-masked]
Subject: Re: [icnrg] Caching Techiques Hi, 
I have been playing with Icarus lately, and I can say that it is very well designed (thanks Lorenzo and other developers!) and quite a good match for implementing caching algorithms for ICN. I have not tried other simulators, so cannot compare it with others. 
It takes some time to learn the modeling philosophy, but I believe it is worth it. I found this presentation very useful to get started. Also thanks Lorenzo for offering his help.https://www.ee.ucl.ac.uk/~lsaino/publications/icarus-simutools14-slides.pdf

I am not aware if there is any Icarus-users list for Q&As. But, it may help to build a community :-) 
Best,suzan

On Tue, Mar 15, 2016 at 9:43 AM, Saino, Lorenzo <[email-masked]> wrote:

Dear Krishna,
I am the main developer of Icarus.
I read the Q-caching paper you mentioned and as far as I can tell Icarus provides the required functionalities to implement it. It also already provides implementations for the most common caching strategies, which may be helpful if you plan to compare the performance of Q-caching or any strategy you may develop with previously proposed strategies.

Icarus is actively maintained and we're happy to help you using it. I gave you some indications about how to implement a new strategy in the emails we exchanged last week. These should be enough to get you started but we're at your disposal should you have more questions. Also, we very much welcome contributions from the community. If you implement new algorithms that you wish to be merged with the main Icarus branch, feel free to send a pull request on the GitHub repository.
That said, if you prefer exploring other simulators or emulators available, you may want to have a look at this recent survey on ICN software tools: http://www.sciencedirect.com/science/article/pii/S1569190X15300654.
Hope this helps.
Best regards,Lorenzo

From: icnrg <[email-masked]> on behalf of Krishnakanth Singh <[email-masked]>
Sent: 15 March 2016 12:10
To: [email-masked]
Subject: [icnrg] Caching Techiques Hi,
I have been reading some papers on Caching Techniques in ICN.I have been reading q - caching in ICN (http://arxiv.org/abs/1512.08469) i was trying to use Icarus for simulation their techniques but icarus dose not have a big community .Can you suggest which simulators should i use for simulations . Finally do any of you have any good ideas regarding new caching techniques .

Thanks in advance.

Krishna kant Singh
_______________________________________________
icnrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/icnrg

-- 

Suzan Bayhan
Post-doctoral researcher, 
Department of Computer Science
University of Helsinki, Helsinki, Finland.
http://www.hiit.fi/u/bayhan
Dear Saino,
Icarus is wonderful, its coverage in terms of caching forms, caching algorithms and flexibility is awesome. 
We at InterNetWorks Research Laboratory in Malaysia have used it. We also appreciate the help and support we received from Saino and Psaras. You did a wonderful job on Icarus. 
We would appreciate is unpickling instructions could be included in the next documentation. N.B
Suzan, 
Try another caching simulator SocialCCNSim by Cesar Bernadini. We have also explored that. It was so helpful and extendable. Visit https://github.com/mesarpe/socialccnsim to find out. I will like to once again appreciate the supports I received from Saino and Cesar. Thanks On Mar 16, 2016 9:04 AM, "Saino, Lorenzo" <[email-masked]> wrote:

Dear Suzan,
Thank you very much for the kind words. I am very happy to hear you're finding Icarus useful.
Unfortunately there's no icarus-users list at the moment.I took note of your suggestion and I will set up an Icarus users mailing list. For the time being, if you have any question feel free to contact me personally or to open an issue on Icarus project page on GitHub: https://github.com/icarus-sim/icarus/issues
Best regards,Lorenzo

From: [email-masked] <[email-masked]> on behalf of suzan bayhan <[email-masked]>
Sent: 15 March 2016 14:32
To: Saino, Lorenzo
Cc: Krishnakanth Singh; [email-masked]
Subject: Re: [icnrg] Caching Techiques Hi, 
I have been playing with Icarus lately, and I can say that it is very well designed (thanks Lorenzo and other developers!) and quite a good match for implementing caching algorithms for ICN. I have not tried other simulators, so cannot compare it with others. 
It takes some time to learn the modeling philosophy, but I believe it is worth it. I found this presentation very useful to get started. Also thanks Lorenzo for offering his help.https://www.ee.ucl.ac.uk/~lsaino/publications/icarus-simutools14-slides.pdf

I am not aware if there is any Icarus-users list for Q&As. But, it may help to build a community :-) 
Best,suzan

On Tue, Mar 15, 2016 at 9:43 AM, Saino, Lorenzo <[email-masked]> wrote:

Dear Krishna,
I am the main developer of Icarus.
I read the Q-caching paper you mentioned and as far as I can tell Icarus provides the required functionalities to implement it. It also already provides implementations for the most common caching strategies, which may be helpful if you plan to compare the performance of Q-caching or any strategy you may develop with previously proposed strategies.

Icarus is actively maintained and we're happy to help you using it. I gave you some indications about how to implement a new strategy in the emails we exchanged last week. These should be enough to get you started but we're at your disposal should you have more questions. Also, we very much welcome contributions from the community. If you implement new algorithms that you wish to be merged with the main Icarus branch, feel free to send a pull request on the GitHub repository.
That said, if you prefer exploring other simulators or emulators available, you may want to have a look at this recent survey on ICN software tools: http://www.sciencedirect.com/science/article/pii/S1569190X15300654.
Hope this helps.
Best regards,Lorenzo

From: icnrg <[email-masked]> on behalf of Krishnakanth Singh <[email-masked]>
Sent: 15 March 2016 12:10
To: [email-masked]
Subject: [icnrg] Caching Techiques Hi,
I have been reading some papers on Caching Techniques in ICN.I have been reading q - caching in ICN (http://arxiv.org/abs/1512.08469) i was trying to use Icarus for simulation their techniques but icarus dose not have a big community .Can you suggest which simulators should i use for simulations . Finally do any of you have any good ideas regarding new caching techniques .

Thanks in advance.

Krishna kant Singh
_______________________________________________
icnrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/icnrg

-- 

Suzan Bayhan
Post-doctoral researcher, 
Department of Computer Science
University of Helsinki, Helsinki, Finland.
http://www.hiit.fi/u/bayhan

_______________________________________________
icnrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/icnrg

_______________________________________________
icnrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/icnrg